package org.eclipse.jdt.internal.compiler.tool;

package .tmp;

import java.util.ArrayList;
import java.util.Locale;
import javax.annotation.processing.Processor;
import javax.tools.JavaCompiler;
import org.eclipse.jdt.internal.compiler.tool.EclipseCompiler;
import org.eclipse.jdt.internal.compiler.tool.EclipseCompilerImpl;

class null implements JavaCompiler.CompilationTask {
  private boolean hasRun = false;
  
  public Boolean call() {
    if (this.hasRun)
      throw new IllegalStateException("This task has already been run"); 
    Boolean value = eclipseCompiler2.call() ? Boolean.TRUE : Boolean.FALSE;
    this.hasRun = true;
    return value;
  }
  
  public void setLocale(Locale locale) {
    eclipseCompiler2.setLocale(locale);
  }
  
  public void setProcessors(Iterable<? extends Processor> processors) {
    ArrayList<Processor> temp = new ArrayList<>();
    for (Processor processor : processors)
      temp.add(processor); 
    Processor[] processors2 = new Processor[temp.size()];
    temp.toArray(processors2);
    eclipseCompiler2.processors = processors2;
  }
}
